For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
            • GETList Transactions
              • GETGet Global Order Settings
              • PUTUpdate Global Order Settings
              • GETGet Channel Order Settings
              • PUTUpdate Channel Order Settings
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrder OperationsOrder Settings

Get Channel Order Settings

GET
https://api.bigcommerce.com/stores/:store_hash/v3/orders/settings/channels/:channel_id
GET
/stores/:store_hash/v3/orders/settings/channels/:channel_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "notifications": {
3 "order_placed": {
4 "email_addresses": [
5 "orders-notify@storeexample.com",
6 "support@storeexample.com"
7 ]
8 },
9 "forward_invoice": {
10 "email_addresses": [
11 "invoices@storeexample.com"
12 ]
13 }
14 },
15 "meta": {}
16}
Returns order settings for a specific channel.
Was this page helpful?
Previous

Update Global Order Settings

Next

Update Channel Order Settings

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

channel_idstringRequired
Channel ID
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

OK
notificationsobject
Channel notification settings.
metaobject
Response metadata.

Errors

400
Bad Request Error

The MIME type of the response body.